$(document).ready(function(){
	$.ajaxSetup({
		headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    }});

	function nuevoMensajeLogeo(t, m){
		$('.modal-title').text(t);
        $('.mnsjPrincipal').html(m);
        $('#msjModalLogeo').modal('show');   
	}

	function nuevoMensajePrincipal(t, m){
		$('.modal-title').text(t);
        $('.mnsjPrincipal').html(m);
        $('#msjModalPrincipal').modal('show');   
	}

	setInterval(verifica_solicitudes,600000);
	setInterval(verifica_reportes,600000);
	setInterval(verifica_evaluaciones,600000);

});

function verifica_solicitudes(){
	$.ajax({
		url: 'verifica_solicitudes',
		type: 'get',
		dataType: 'json',
	})
	.done(function(e) {
		if (e.res=='si') {
			$('.aviso_sol').css({
				'color': 'red'
			});
		}else{
			$('.aviso_sol').css({
				'color': '#C4CFDA'
			});
		}
	})
	.fail(function(error) { console.log(error); if (error.status==419 || error.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';} console.log("error"); })
	.always(function() { console.log("complete"); });
}

function verifica_reportes(){
	$.ajax({
		url: 'verifica_reportes',
		type: 'get',
		dataType: 'json',
	})
	.done(function(e) {
		if (e.res=='si') {
			$('.aviso_rep').css({
				'color': 'red'
			});
			$('.aviso_activos').css({
				'color': 'red'
			});
		}else{
			$('.aviso_rep').css({
				'color': '#C4CFDA'
			});
			$('.aviso_activos').css({
				'color': 'transparent'
			});
		}
	})
	.fail(function(error) { if (error.status==419 || error.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';} console.log("error"); })
	.always(function() { console.log("complete"); });
}

function verifica_evaluaciones(){
	$.ajax({
		url: 'verifica_evaluaciones',
		type: 'get',
		dataType: 'json',
	})
	.done(function(e) {
		if (e.res=='si') {
			$('.aviso_rep').css({
				'color': 'red'
			});
			$('.aviso_activos').css({
				'color': 'red'
			});
		}else{
			$('.aviso_rep').css({
				'color': '#C4CFDA'
			});
			$('.aviso_activos').css({
				'color': 'transparent'
			});
		}
	})
	.fail(function(error) { if (error.status==419 || error.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';} console.log("error"); })
	.always(function() { console.log("complete"); });
}

function carga(){ $('#loading').fadeIn( 400, "linear"); }
function finaliza_carga(){ $('#loading').fadeOut( 10, "linear"); }